﻿<template>
  <div :class="`${prefixCls}  p-20px`">
    <a-flex justify="space-between" align="center">
      <div>
        <div class="mb-10px">
          我的客户数：2/无上限
          <BasicHelp placement="top" :text="['共享：1','未共享：1','(共享客户占0.5个名额，未共享客户占1个名额;  实际占客户上限数2个名额)']" />
        </div>
        <div>
          符合移入公海条件时，系统会提前7天发送邮件提醒
          <BasicHelp placement="top" :text="['下次移入公海日期根据客户当前生效客群匹配的移入公海规则计算，计算时间为T+1。','当客户进入新客群后，会根据新的生效客群匹配的移入公海规则重新计算下次移入公海日期。','有多个日期时，默认显示距今最近的日期。']" />
          最近联系日期参照事件
          <BasicHelp placement="top" :text="['什么是最近联系日期参照事件？', '例如：参照事件包含“发送邮件”，则给客户发送邮件时，','会更新与此客户的最近联系日期。','参照事件:','· 发送邮件 (客户+商机)','· 接收邮件 (客户+商机)','· 营销邮件 (客户+商机)','· 新建跟进 (客户+商机)','· 新建/编辑 报价单','· 新建/编辑 销售订单','· 上传客户文档','· 新建/编辑 商机','· 发送聊天消息 (TM+WhatsApp)','· 接收聊天消息 (TM+WhatsApp)']" />
          最近成交日期参照事件
          <BasicHelp placement="top" :text="['什么是最近成交日期参照事件？', '从客户所有赢单商机中，取最近的赢单日期。']" />
        </div>
      </div>
      <div>
        <a-button type="primary" shape="round">移入公海规则设置</a-button>
      </div>
    </a-flex>

    <div class="py-20px">
      <a-row :gutter="[12,12]" class="pb-20px">
        <template v-for="item in cardList" :key="item.title">
          <a-col :span="12">
            <a-card :class="`${prefixCls}-card`">
              <div class="font-bold mb-10px">
                {{ item.title }}
              </div>
              <div class="mb-10px">
                移入条件：{{ item.condition || '--' }}
              </div>
              <div class="mb-10px">
                生效时间：{{ item.time || '--' }}
              </div>
              <div class="mb-10px">
                生效客群：{{ item.type || '--' }}
              </div>
            </a-card>
          </a-col>
        </template>
      </a-row>
    </div>
  </div>
</template>

<script lang="ts" setup>
import BasicHelp from "@/components/Basic/src/BasicHelp.vue";
import {ref} from "vue";

let cardList = ref([
  {
    title: '潜在客户的移入规则',
    condition: '60 天 未联系',
    time:'2022-03-31',
    type:'潜在客户'
  },
  {
    title: '初次成交客户的移入规则',
    condition: '90 天 未联系',
    time:'2021-03-31',
    type:'初次成交客户'
  },
  {
    title: '未分组的移入规则',
    condition: '30 天 未联系',
    time:'2020-03-31',
    type:'未分组'
  },
  {
    title: 'VIP客户的移入规则',
    condition: '60 天 未联系',
    time:'2020-03-31',
    type:'VIP客户'
  },
  {
    title: '多次成交客户的移入规则',
    condition: '90 天 未联系',
    time:'2022-03-31',
    type:'多次成交客户'
  }
]);

const prefixCls = 'public-pool-rule';
</script>

<style lang="less" scoped>
.public-pool-rule {
  :deep(&-card) .ant-card-body{
    padding: 20px;
    background-color: #f7f7f7;
  }
}

</style>
